![CI](https://github.com/simon-lc/Algames.jl/workflows/CI/badge.svg)
[![codecov](https://codecov.io/gh/simon-lc/Algames.jl/branch/master/graph/badge.svg?token=SU9XJW5SE7)](https://codecov.io/gh/simon-lc/Algames.jl)
[![](https://img.shields.io/badge/docs-dev-blue.svg)](https://simon-lc.github.io/Algames.jl/dev)

## Purpose
This package implements ALGAMES: a solver for constrained dynamic games. To set up autonomous driving problems and visualize the results see [AlgamesDriving.jl](https://github.com/simon-lc/AlgamesDriving.jl).

## Installation
```
Pkg.add("Algames")
```
## Related Paper
[RSS 2020](http://www.roboticsproceedings.org/rss16/p091.pdf)

## Autonomous Robots paper submission:
The experiments are available [here](https://github.com/simon-lc/AlgamesDriving.jl/tree/autonomous_robots_2021/autonomous_robots_figures) in the `autonomous_robots_2021` branch of the repository.

## RSS 2020 paper submission:
The experiments presented in the [RSS 2020 paper](http://www.roboticsproceedings.org/rss16/p091.pdf) can be found [here](https://github.com/RoboticExplorationLab/Algames.jl/tree/rss_2020/experiments/rss_2020
) in the `rss_2020` branch of the repository. 
## Quick Start
To run a simple example of a dynamic game see script in /examples/intro_example.jl. For autonomous driving examples see [AlgamesDriving.jl](https://github.com/simon-lc/AlgamesDriving.jl).

![alt text](https://github.com/simon-lc/Algames.jl/blob/master/readme_banner.jpeg?raw=true)
